%define	desktop_vendor planetccrma
%define desktop_utils  %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Composition and Modular Synthesis application
Name:         beast
Version:      0.6.5
Release:      1
License:      GPL/LGPL
Group:        Applications/Multimedia
URL:          http://beast.gtk.org
Source0:      %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Packager:     Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: gcc-c++, gtk2-devel, libgnomecanvas-devel, guile-devel
BuildRequires: perl-XML-Parser
BuildRequires: ladspa-devel, libvorbis-devel, libmad-devel

%description
Beast is a powerful music composition and modular synthesis
application. It supports a wide range of standards in the field, such
as MIDI, WAV/AIFF/MP3/OggVorbis/etc audio files and LADSPA modules. It
has excellent technical abilities like multitrack editing, unlimited
undo/redo support, real-time synthesis support, 32bit audio rendering,
full duplex support, multiprocessor support, precise timing down to
sample granularity, on demand loading of partial wave files, on the
fly decoding and full scriptability in scheme.

%prep
%setup -q

%build
%configure --enable-osspcm=/dev/dsp --enable-ossmidi=/dev/midi
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

# create menu entries
%{__cat} << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=BEAST
Comment=MIDI Tracker, Music Composition and Modular Synthesis Application
Icon=beast.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  %{__mkdir} -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    --add-category GTK                            \
    --add-category GNOME                          \
    %{desktop_vendor}-%{name}.desktop
%else
  %{__install} -d %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  %{__install} %{desktop_vendor}-%{name}.desktop %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* INSTALL NEWS README TODO
%{_bindir}/*
%{_includedir}/bse
%{_includedir}/sfi
%{_libdir}/bse
%{_libdir}/*so*
%exclude %{_libdir}/*la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/application-registry/beast.applications
%exclude %{_datadir}/applications/beast.desktop
%{_datadir}/beast
%{_datadir}/bse
%{_mandir}/man*/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/beast*
%{_datadir}/pixmaps/*
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Wed May  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.5-1
- updated to 0.6.5
* Tue Mar  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.4-2
- rebuild to fix location of desktop file
* Fri Dec 31 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added missing .xml file
* Wed Dec 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.4-1
- updated to 0.6.4, exclude .la files
- force oss device names, otherwise does not build on the mach chroot
- spec file cleanup, include dir bsw no longer part of package
* Sun Sep 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.2-1
- initial build.
